** Also affects: initramfs-tools
   Importance: Undecided
       Status: New

** No longer affects: initramfs-tools

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1567107

Title:
  [Hyper-V] hyperv_keyboard module needed for Generation 2 VMs

Status in initramfs-tools package in Ubuntu:
  Fix Released
Status in initramfs-tools source package in Xenial:
  Fix Released

Bug description:
  Because Generation 2 virtual machines in Hyper-V are presented with a
  minimal set of EFI hardware, the kernel module "hyperv_keyboard" must
  be present to interact with the console keyboard. On systems with disk
  encryption, the user will be prompted for the key to decrypt the disk,
  but cannot enter the password because no keyboard driver is present.

  This issue appears to exist in all Ubuntu releases that support EFI
  and are therefore eligible to be used as Generation 2 VMs, most
  recently tried with the April 5 ISO of the day for 16.04 (pre-
  release).

  This module *is* present when the grub menu is presented and later when the 
kernel is fully loaded.
  FYI, if some mechanism requires a mouse or touch, the hid_hyperv module will 
also be needed.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1567107/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to     : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp

Reply via email to